<?php

/**
 * @file
 *  Declare new and alter workflow fields, sorts and filters.
 */

/**
 * Implementation of hook_views_data().
 *
 * Ommitted, we're altering existing groups, not creating a new one.
 *
function workflow_extensions_views_data() {
}
 */

/**
 * Implementation of hook_views_data_alter().
 *
 */
function workflow_extensions_views_data_alter(&$data) {

  $data['workflow_node']['state_change_form'] = array(
    'title' => t('State transition form'),
    'help' => t("Display a form to transition the node's workflow state"),
    'field' => array(
      'handler' => 'workflow_extensions_handler_field_state_change_form',
      'click sortable' => FALSE,
    ),
  );
  return;
 
}

/**
 * Implementation of hook_views_handlers().
 *
 * Register the handlers used in Workflow Extensions views.
 */
function workflow_extensions_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'workflow_extensions') .'/views',
    ),
    'handlers' => array(
      'workflow_extensions_handler_field_state_change_form' => array('parent' => 'views_handler_field'),
    )
  );
}
